<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Asignacion de cuentas a clientes</title>
</head>
<body>
<form action="#" th:action="@{/procesaCuenta}" th:object="${formCuentaDTO}" method="post"   >
    <table>
        <tr>
            <td><label for="clientes">Selecciona cte</label></td>
            <td>
                <select id="clientes" th:field="*{idCliente}">
                    <option th:each="cte : ${clientes}"
                        th:value="${cte.idCte}"
                        th:text="${cte.nomCte}"
                    />
                </select>
            </td>
        </tr>
        <tr>
            <td><label for="tiposCuenta">Tipo de cuenta</label></td>
            <td>
                <select id="tiposCuenta" th:field="*{idTipoCuenta}">
                    <option th:each="cta: ${tiposCuenta}"
                            th:value="${cta.idCatalogo}"
                            th:text="${cta.descCompleta}"
                    />
                </select>
            </td>
        </tr>
        <tr>
            <td><label for="no_cta">No. de cuenta</label></td>
            <td><input type="text" th:field="*{noCuenta}" id="no_cta" ></input></td>
        </tr>
        <tr>
            <td><label for="fch_alta">Fecha de alta</label></td>
            <td><input type="date" th:field="*{fechaAlta}" id="fch_alta" ></input></td>
        </tr>
        <tr>
            <td><span><input type="reset" value="Limpiar"></span></td>
            <td><span><input type="submit" value="Enviar"></span></td>
        </tr>
    </table>
</form>
</body>
</html>